diff -ru fontforge-20060406.orig/Makefile.dynamic.in fontforge-20060406/Makefile.dynamic.in
--- fontforge-20060406.orig/Makefile.dynamic.in	2006-04-07 16:22:55.000000000 -0400
+++ fontforge-20060406/Makefile.dynamic.in	2006-04-09 16:21:23.000000000 -0400
@@ -75,7 +75,7 @@
 	mkdir -p $(mandir)/man1
 	mkdir -p $(sharedir)
 	$(LIBTOOL) --mode=install $(INSTALL) -c fontforge/fontforge $(bindir)
-#	-$(LIBTOOL) --mode=install $(INSTALL) -c fontforge/sfddiff $(bindir)
+	-$(LIBTOOL) --mode=install $(INSTALL) -c fontforge/sfddiff $(bindir)
 #	-rm -f $(bindir)/pfaedit
 #	(cd $(bindir) ; ln -s fontforge pfaedit)
 #	$(INSTALL_DATA) fontforge/pfaedit-*.ui $(sharedir)
@@ -84,10 +84,10 @@
 # if you are editing CID keyed files (and even then you can live without them
 	-$(INSTALL_DATA) $(srcdir)/cidmap/*.cidmap $(sharedir) >/dev/null 2>&1
 	$(INSTALL_DATA) $(srcdir)/fontforge/fontforge.1 $(mandir)/man1
-#	-$(INSTALL_DATA) $(srcdir)/fontforge/sfddiff.1 $(mandir)/man1
+	-$(INSTALL_DATA) $(srcdir)/fontforge/sfddiff.1 $(mandir)/man1
 #explicit use of sh to make sure we don't invoke csh with different "if" syntax
 	sh -c "if test -d $(srcdir)/htdocs >/dev/null ; then $(MAKE) install_docs ; fi"
-	sh < systemspecific
+#	sh < systemspecific
 
 uninstall:
 	-rm $(bindir)/fontforge
diff -ru fontforge-20060406.orig/configure fontforge-20060406/configure
--- fontforge-20060406.orig/configure	2006-04-04 01:11:59.000000000 -0400
+++ fontforge-20060406/configure	2006-04-09 16:14:34.000000000 -0400
@@ -2652,9 +2652,7 @@
  gww_define_caps_for_alt="1"
 
 
- CPPFLAGS="$CPPFLAGS -I/sw/include"
- LDFLAGS="$LDFLAGS -L/sw/lib"
- gww_rpath="-rpath /sw/lib"
+ gww_rpath=""
  LIBS="/System/Library/Frameworks/CoreServices.framework/CoreServices $LIBS"
  ;;
 powerpc-*-*linux*)
@@ -8267,7 +8265,7 @@
 echo "$as_me:$LINENO: result: $ac_cv_file__usr_include_libxml2_libxml" >&5
 echo "${ECHO_T}$ac_cv_file__usr_include_libxml2_libxml" >&6
 if test $ac_cv_file__usr_include_libxml2_libxml = yes; then
-  CFLAGS="$CFLAGS -I/usr/include/libxml2/"
+  true
 else
 
  echo "$as_me:$LINENO: checking for /usr/local/include/libxml2/libxml" >&5
@@ -8288,7 +8286,7 @@
 echo "$as_me:$LINENO: result: $ac_cv_file__usr_local_include_libxml2_libxml" >&5
 echo "${ECHO_T}$ac_cv_file__usr_local_include_libxml2_libxml" >&6
 if test $ac_cv_file__usr_local_include_libxml2_libxml = yes; then
-  CFLAGS="$CFLAGS -I/usr/local/include -I/usr/local/include/libxml2/"
+  true
 else
   cat >>confdefs.h <<\_ACEOF
 #define _NO_LIBXML 1
diff -ru fontforge-20060406.orig/fontforge/Makefile.dynamic.in fontforge-20060406/fontforge/Makefile.dynamic.in
--- fontforge-20060406.orig/fontforge/Makefile.dynamic.in	2006-04-05 14:20:21.000000000 -0400
+++ fontforge-20060406/fontforge/Makefile.dynamic.in	2006-04-09 16:18:18.000000000 -0400
@@ -51,11 +51,11 @@
 CFLAGS = @CFLAGS@ $(_CFLAGS)
 
 #I used to include -L/usr/lib explicitly after static_libs. Not sure why. Should be implied & breaks 64bit compiles
-LIBS = -rpath $(libdir) $(X_LIBS) ../libgdraw.la ../libgunicode.la \
-    $(X_PRE_LIBS) $(X_11LIB) $(X_EXTRA_LIBS) @LIBS@ $(STATIC_LIBS) -lm
-DLIBS = -rpath $(libdir) ../libgunicode.la @LIBS@ $(STATIC_LIBS) -lm
+LIBS = -rpath $(libdir) $(STATIC_LIBS) $(X_LIBS) ../libgdraw.la ../libgunicode.la \
+    $(X_PRE_LIBS) $(X_11LIB) $(X_EXTRA_LIBS) @LIBS@ -lm
+DLIBS = -rpath $(libdir) -L$(libdir) -liconv ../libgunicode.la @LIBS@ $(STATIC_LIBS) -lm
 
-all: fontforge
+all: fontforge sfddiff
 
 fontforge: main.o $(fontforge_LIBOBJECTS)
 	$(LIBTOOL) --mode=link $(CC) -export-dynamic -o fontforge main.o $(fontforge_LIBOBJECTS) $(LIBS)
diff -ru fontforge-20060406.orig/fontforge/start.c fontforge-20060406/fontforge/start.c
--- fontforge-20060406.orig/fontforge/start.c	2006-01-16 10:10:22.000000000 -0500
+++ fontforge-20060406/fontforge/start.c	2006-04-09 16:18:59.000000000 -0400
@@ -202,7 +202,6 @@
     /*  otherwise leave alone. On the mac people often use fink to */
     /*  install image libs. For some reason fink installs in a place */
     /*  the dynamic loader doesn't find */
-    setenv("DYLD_LIBRARY_PATH","/sw/lib",0);
 #endif
 }
 
